Skip to main content
`Ctrl`+`K`

# MatFDColoringCreate

Creates a matrix coloring context for finite difference computation of Jacobians.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringCreate(Mat mat, ISColoring iscoloring, MatFDColoring *color)

Collective

## Input Parameters

- mat - the matrix containing the nonzero structure of the Jacobian

- iscoloring - the coloring of the matrix; usually obtained with `MatColoringCreate()` or `DMCreateColoring()`

## Output Parameter

- color - the new coloring context

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringDestroy()`, `SNESComputeJacobianDefaultColor()`, `ISColoringCreate()`, `MatFDColoringSetFunction()`, `MatFDColoringSetFromOptions()`, `MatFDColoringApply()`, `MatFDColoringView()`, `MatFDColoringSetParameters()`, `MatColoringCreate()`, `DMCreateColoring()`, `MatFDColoringSetValues()`

## Level

intermediate

## Location

src/mat/matfd/fdmatrix.c

## Examples

src/tao/unconstrained/tutorials/minsurf2.c
src/snes/tutorials/ex14.c
src/mat/tutorials/ex16.c

## Implementations

MatFDColoringCreate_MPIXAIJ() in src/mat/impls/aij/mpi/fdmpiaij.c
MatFDColoringCreate_SeqXAIJ() in src/mat/impls/aij/seq/fdaij.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages